Index: lib/set.c
===================================================================
--- lib/set.c	(revision 6)
+++ lib/set.c	(working copy)
@@ -14,6 +14,7 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
+#include <sys/types.h>
 #include <sys/mman.h>
 #include <string.h>
 #include <limits.h>
@@ -54,7 +55,7 @@
     void *chunk = set->chunks[set->curr_chunk];
     if (!chunk) {
       chunk = SEN_MMAP(set->entry_size * (INITIAL_N_ENTRIES << set->curr_chunk),
-		   PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, 0, 0);
+		   PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0);
       if (chunk == MAP_FAILED) { return NULL; }
       set->chunks[set->curr_chunk] = chunk;
     }
@@ -92,7 +93,7 @@
   set->entry_size = entry_size;
   set->max_offset = i - 1;
   set->index = SEN_MMAP(i * sizeof(entry *),
-			 PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, 0, 0);
+			 PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0);
   if (set->index == MAP_FAILED) {
     SEN_FREE(set);
     return NULL;
@@ -111,7 +112,7 @@
     for (n = INITIAL_INDEX_SIZE, ne *= 2; n <= ne; n <<= 1);
   }
   index = SEN_MMAP(n * sizeof(entry *),
-		   PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, 0, 0);
+		   PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0);
   if (index == MAP_FAILED) { return sen_memory_exhausted; }
   m = n - 1;
   {
